/**Задание

    * Реализовать функцию для подсчета n-го обобщенного числа Фибоначчи.
    *  Задача должна быть реализована на языке javascript, без использования фреймворков и сторонник библиотек (типа Jquery).

Технические требования:

   * Написать функцию для подсчета n-го обобщенного числа Фибоначчи.
   * Аргументами на вход будут три числа - F0, F1, n, где F0, F1 - первые два числа последовательности (могут быть любыми целыми числами),
   * n - порядковый номер числа Фибоначчи, которое надо найти.
   * Последовательнось будет строиться по следующему правилу F2 = F0 + F1, F3 = F1 + F2 и так далее.
   * Считать с помощью модального окна браузера число, которое введет пользователь (n).
   * С помощью функции посчитать n-е число в обобщенной последовательности Фибоначчи и вывести его на экран.
   * Пользователь может ввести отрицательное число - результат надо посчитать по такому же правилу (F-1 = F-3 + F-2).*/


let num = +prompt("Введите ваше число")

let sumNum = (num) => {
    let F0 = 1;
    let F1 = 1;
    for (let i = 3; i <= num; i++) {
        let F2 = F0 + F1;
        F0 = F1;
        F1 = F2;
    }
    return F1;
}
alert(sumNum(num));